- okta.governance.reviewer.read
Lists the reviews assigned to you for a given campaign.
Use the filter expression (?filter=) query parameter to return a subset of your reviews for a campaign.
Pagination parameters are accepted, and standard link headers are in the response.
Reviews are returned only for campaigns that launched and have an ACTIVE or COMPLETED status. UNREVIEWED decision status reviews have a null decided property. If remediation isn't completed, then the remediationStatus property is also null.
The order criteria (orderBy) applies to the following properties: decided, decision, remediationStatus, and created.
By default, results are sorted by id.
Note: Okta recommends adding a filter in your request to target the reviews returned. This provides reliable performance when your org contains a large number of campaigns and reviews. The response for this request can time out or fail if there are a large number of campaigns and reviews to process.
Apply various filters by using supported review filtering properties.
Note: Query parameter percent encoding is required. See Percent-encoding
Supported filters are:
id: stringprincipalId: stringreviewerId: stringdecision: string (APPROVE, REVOKE, UNREVIEWED)resourceId: string (GroupIdorAppId)reviewerType: string (USERorGROUPorRESOURCE_OWNER)reviewerLevel: string (FIRSTorSECOND)entitlementValueId: stringentitlementBundleId: stringprincipalProfile.status: string (ACTIVEorINACTIVE)
Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Specifies a property to sort the results. The following properties are supported:
decideddecisionremediationStatuscreated
Append desc or asc to indicate the sorting direction.
Note: Query parameter percent encoding is required. See Percent-encoding.
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v1/my/campaigns/{campaignId}/reviews
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v1/my/campaigns/{campaignId}/reviews?filter=decision%20eq%20%22UNREVIEWED%22&after=00u68w6vzKLultXS97g6&limit=20&orderBy=decided%20desc'